2019-11-18 15:21 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000659Spring engineGeneralpublic2008-01-01 16:06
ReporterAuswaschbar 
Assigned ToAuswaschbar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000659: Animations are jerky / not smooth
DescriptionWhen playing over network (not local), all animations are jerky. When playing local (or beeing host) they are perfectly smooth.

Guessed Reason:
About 4 NETMSG_NEWFRAME's are bundled in one UDP-packet. The game executes all new frames first and then continue drawing, resulting in bumping units / nanos.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001359

tvo (reporter)

Will you look at this yourself or should I take a look sometime?

~0001362

Auswaschbar (reporter)

I don't have time to look at it atm, so if you have some time it would be nice when you take a look.

~0001467

Auswaschbar (reporter)

Last edited: 2007-11-24 19:41

I did some further investigations:
- its not that bad (== its not worse than in previous versions)
- its only worse when i run 2 instances on the same computer (maybe related to slower framerate)
- when units move straightforward, I don't recognize lag at all
- units stutter only when rotating, changing directions etc.
- in demos, the amount of stuttering is the same
- it gets better the higher the gamespeed is (and it is worst on lowest speed), probably because more gameframes are executed per time

~0001468

KDR_11k (reporter)

Try having Tombom host, that leads to stuttery animations too.

~0001521

Pendrokar (reporter)

Are these bugs related? - http://spring.clan-sy.com/phpbb/viewtopic.php?t=13069

~0001569

Auswaschbar (reporter)

It seems to be better after I decreased the time waiting data was buffered before sending. The downside is it increased the network load, but the current value seems a good choice to me.

Please comment...

~0001572

imbaczek (reporter)

IMHO 20 packets/sec should be the default, currently there is some jerkiness noticeable. Also, if 30 packets/sec wouldn't be hard on the network, I'd actually prefer that.

~0001574

Auswaschbar (reporter)

Fixed it:
After each new frame created, the server flushes the net and sending all remaining data. This results in exactly 30 packets/s to each client at normal gamespeed (Valve's Source-Engine has a similar packet rate, so it should not be too high).

I also reverted the time the data is hold in buffer so clients send less packets.

~0001608

tvo (reporter)

according to satirik animations are still jerky

~0001610

tvo (reporter)

Didn't happen when someone else hosted so assuming that was not a Spring problem.

~0001611

tvo (reporter)

Yet another note: satirik and I tested 0.75b2 and SVN, and 0.75b2 is apparently clearly less jerky then SVN ...

I'll try to take a look too ASAP.

~0001617

tvo (reporter)

reintroduced some code that was removed in r4487, see http://spring.clan-sy.com/fisheye/changelog/Spring/?cs=5192

according to KDR_11k this it was super smooth again, but need to test some more (vs tombom or satirik). Assume it's finally entirely fixed tho, unless I add more notes :-)
+Notes

-Issue History
Date Modified Username Field Change
2007-10-16 16:14 Auswaschbar New Issue
2007-10-22 10:18 tvo Note Added: 0001359
2007-10-22 18:11 Auswaschbar Note Added: 0001362
2007-11-24 19:31 Auswaschbar Note Added: 0001467
2007-11-24 19:32 Auswaschbar Priority high => normal
2007-11-24 19:34 Auswaschbar Note Edited: 0001467
2007-11-24 19:40 Auswaschbar Note Edited: 0001467
2007-11-24 19:41 Auswaschbar Note Edited: 0001467
2007-11-24 19:45 KDR_11k Note Added: 0001468
2007-12-18 13:08 tvo Severity minor => major
2007-12-18 16:44 Pendrokar Note Added: 0001521
2007-12-28 20:01 Auswaschbar Note Added: 0001569
2007-12-29 17:46 imbaczek Note Added: 0001572
2007-12-29 19:41 Auswaschbar Status new => resolved
2007-12-29 19:41 Auswaschbar Resolution open => fixed
2007-12-29 19:41 Auswaschbar Assigned To => Auswaschbar
2007-12-29 19:41 Auswaschbar Note Added: 0001574
2007-12-31 15:51 tvo Note Added: 0001608
2007-12-31 16:29 tvo Note Added: 0001610
2007-12-31 17:16 tvo Note Added: 0001611
2008-01-01 16:06 tvo Note Added: 0001617
+Issue History